import request from '@/utils/request'

// 获取路由
export const getRouters = () => {
  return request({
    url: '/getRouters',
    method: 'get'
  })
}

// 查询参数列表
export function listTools(query) {
  return request({
    url: '/tool/basis/reception/list',
    method: 'get',
    params: query
  })
}

// 详情
export function detailList(data) {
  return request({
    url: '/tool/basis/reception/detailList',
    method: 'post',
    data: data
  })
}

// 常用工具计数
export function setCommonTool(query) {
  return request({
    url: '/tool/basis/reception/commonTool/update',
    method: 'post',
    params: query
  })
}

// 常用工具列表
export function getCommonTool() {
  return request({
    url: '/tool/basis/reception/commonTool/list',
    method: 'post'
  })
}

// 查询物料列表
export function getwlList(query) {
  return request({
    url: '/tool/basis/reception/materialList',
    method: 'get',
    params: query
  })
}
